from Tkinter import *
import random

class FlipCoin:
    def __init__(self, master):
        self.root = master
        self.counter = 0
        f = Frame(self.root)
        Button(f, text="Flip a coin!", command=self.flip).pack(side=TOP)
        self.result=StringVar()
        self.result_text = Text(f, width=10, height=10)
        self.result_text.pack(side=LEFT, fill=BOTH)
        self.scrollbar = Scrollbar(f, command=self.result_text.yview)
        self.result_text.configure(yscrollcommand=self.scrollbar.set)
        self.scrollbar.pack(side=RIGHT, fill=Y, anchor=W)
        f.pack()
        Button(self.root, text="Quit", command=self.root.quit).pack(side=BOTTOM)

    def flip(self):
        self.counter = self.counter + 1 
        res = random.choice(["Head", "Tails"])
        self.result_text.insert(END, "%3d: %s\n" %(self.counter, res))
        self.result_text.yview_moveto(1.0)
        
def _main():
    root = Tk()
    flip = FlipCoin(root)
    root.mainloop()

if __name__=="__main__":
    _main()
